package com.yeejoin.amos.kgd.message;

public enum Topic {
	
	MAAS_CALCULATION_RESULTS("maas/calculation/result"),
	IOT_PROPERTY_MESSAGE("+/+/property"),
    IOT_SHADOW_MESSAGE("+/+/shadow");
	
    private String topicStr;


    Topic(String topicStr) {
        this.topicStr = topicStr;
    }
    
    public String getTopicStr() {
        return topicStr;
    }
    
    public String getShareTopicStr(String groupName) {
    	String shareTopicStr = "$share/" + groupName.trim() + "/" + getTopicStr();
    	return shareTopicStr;
    }
}
